Create chat session
curl --request POST \
--url http://co-mind-platform-host/v1/chat/sessions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "gpt-4o-mini",
"name": "Q&A about Product Docs",
"knowledgebase_ids": [
"kb_abc123",
"kb_def456"
],
"temperature": 1,
"system_message": "You are a helpful assistant."
}
'import requests
url = "http://co-mind-platform-host/v1/chat/sessions"
payload = {
"model": "gpt-4o-mini",
"name": "Q&A about Product Docs",
"knowledgebase_ids": ["kb_abc123", "kb_def456"],
"temperature": 1,
"system_message": "You are a helpful assistant."
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
model: 'gpt-4o-mini',
name: 'Q&A about Product Docs',
knowledgebase_ids: ['kb_abc123', 'kb_def456'],
temperature: 1,
system_message: 'You are a helpful assistant.'
})
};
fetch('http://co-mind-platform-host/v1/chat/sessions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "session_xyz789",
"object": "chat.session",
"name": "Q&A about Product Docs",
"knowledgebase_ids": [
"<string>"
],
"model": "gpt-4o-mini",
"temperature": 123,
"system_message": "<string>",
"created_at": 1699564800,
"updated_at": 1699564900,
"message_count": 10
}{
"error": {
"message": "Invalid request parameters",
"type": "invalid_request_error",
"code": "bad_request"
}
}Chat
Create chat session
Create a new chat session with server-managed conversation history
POST
/
v1
/
chat
/
sessions
Create chat session
Authorizations
Bearer token authentication. Supports two token types:
- JWT Access Token — obtained via
POST /v1/auth/login - Personal Access Token (PAT) — created via
POST /v1/api-tokens, format:cmnd_<tokenId>.<secret>
Body
application/json
Model ID to use for this session
Example:
"gpt-4o-mini"
Optional name for the session
Example:
"Q&A about Product Docs"
Optional knowledge base IDs to attach to the session
Example:
["kb_abc123", "kb_def456"]
Sampling temperature
Required range:
0 <= x <= 2Optional system message for the session
Example:
"You are a helpful assistant."
Response
Session created successfully
Example:
"session_xyz789"
Example:
"chat.session"
Example:
"Q&A about Product Docs"
Example:
"gpt-4o-mini"
Unix timestamp
Example:
1699564800
Unix timestamp
Example:
1699564900
Example:
10
⌘I

